1

I am facing the error shown below when trying to install the ASP.NET MVC Template extension mentioned at OWASP ASP.NET MVC Boilerplate Project. Here is the link to Visual Studio Gallery: https://marketplace.visualstudio.com/items?itemName=RehanSaeed.ASPNETMVCBoilerplate

VSIX Installer error

I checked the VS installer to find out that 4.5.2 targeting pack is already installed

VS Installer

Here is the link to the error log file: https://pastebin.com/cDGakPiM

Can someone help on how to resolve this error? I am using the following configuration

OS: Windows 10

VS version: Community 2019 16.3.0

1
  • Please try the following solution, uninstall the .NET Framework 4.5.2 Targeting Pack, and then reinstall it. Once the targeting pack is reinstalled try installing the VS extension again. Please update your question with any relevant information from this process.
    – Ramhound
    Sep 24, 2019 at 18:48

1 Answer 1

-1

In the Q&A section of your ASP.NET Core Boilerplate extension I found this comment from August 16, 2019:

I tried to install using VS 2019 Community - Said it could not due to missing pre recs - Will there ever be a version that can be installed to Community?

This means that you are not alone in having problems with this extension on the Community version.

In the official list of all targeting packs I find that version 4.5.2 is not very recent, so is probably not installed on your computer. You may decide to re-install it in the hope that this might help (remember you need the Developer Pack), but that might cause conflicts with the .NET version already installed.

Whatever you decide, I suggest to at least create a System Restore point before starting, which might be enough to undo any damage (but with no guarantee). In your place I would have abandoned the use of this extension and would have searched for alternatives.

0

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .